[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Improve the way rpm decides what is newer



On Sat, 21 Nov 2009 09:30:33 -0800, Adam wrote:

> On Sat, 2009-11-21 at 18:07 +0100, Michael Schwendt wrote:
> > On Sat, 21 Nov 2009 08:16:39 -0800, Adam wrote:
> > 
> > > I was going to suggest what seems an obvious alternative way to do what
> > > Christian wants, without changing anything in rpm. Instead of:
> > > 
> > > foobar-1.0-1.fc12.x86-64
> > > 
> > > have:
> > > 
> > > foobar-fc12-1.0-1.x86-64
> > 
> > Insufficient. 
> > 
> > Making %dist most-significant is only sufficient for ordinary %dist
> > upgrades, but doesn't replace everything %epoch is needed for: fixing
> > issues with upstream versioning schemes, reverting accidental upgrades,
> > resetting %version as a result of software project splits.
> 
> I didn't mean it as a replacement for epoch, I meant it as a way of
> handling the initial problem. Of course, it has problems in that regard
> too, which is why I don't actually support doing anything like this.

You said "without changing anything in rpm". How that?

If you move anything like "fc12" (using a '-' bears a risk) into
%version makes it necessary to consider the change value in all
versioned dependencies, too.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]